﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BeyondBasicUnitTesting.Business;

namespace BeyondBasicUnitTesting.WebUI.Before
{
    public partial class PersonSearch : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            IPersonFacade facade = new PersonFacade(
                            DemoSession.GetCurrent().LoggerInstance,
                            DemoSession.GetCurrent().PersonRepositoryInstance);

            IList<IPerson> results = facade.GetAll();

            m_grid.DataSource = results;
            m_grid.DataBind();
        }
    }
}
